#include <iostream>
using namespace std;

int konjunkcija(int a[],int n)
{
    int x=a[0]&a[1];
    for(int i=2;i<n;i++)
        {x=x&a[i];}
    return x;
}
int exDisjunkcija(int a[],int n)
{
    int x=a[0]^a[1];
    for(int i=2;i<n;i++)
        {x=x^a[i];}
    return x;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);

    int n;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    if(konjunkcija(a,n)!=0&&exDisjunkcija(a,n)!=0)cout<<0;
    else if(konjunkcija(a,n)!=0)cout<<1;
    else cout<<2;

    return 0;
}